%if %mdkversion >= 200810
%define _disable_ld_as_needed 1
%define _disable_ld_no_undefined 1
%endif

%if %mdkversion >= 200910
%define Werror_cflags %{nil}
%endif

%if %mdkversion < 200900
%define ldflags %{nil}
%endif

%define	blurb Wireshark is a fork of Ethereal(tm)

%define	major 0
%define libname %mklibname wireshark %{major}
%define libname_devel %mklibname -d wireshark

Summary:	Network traffic analyzer
Name:		wireshark
Version:	1.2.16
%define subrel 1
%if %mdkversion == 200600
Release:	%mkrel 1
%endif
%if %mdkversion >= 200900
Release:	%mkrel 0
%endif
License:	GPLv2+ and GPLv3
Group: 		Monitoring
URL: 		http://www.wireshark.org
Source0:	http://www.wireshark.org/download/src/%{name}-%{version}.tar.bz2
Source1:	http://www.wireshark.org/download/src/all-versions/SIGNATURES-%{version}.txt
Patch0:		wireshark_help_browser.patch
Patch1:		wireshark-plugindir.patch
Patch2:		wireshark-1.2.15-CVE-2011-0713.diff
Requires:	usermode-consoleonly
Requires:	dumpcap
BuildRequires:	adns-devel
BuildRequires:	autoconf2.5
BuildRequires:	automake1.9
BuildRequires:	doxygen
BuildRequires:	glib2-devel
BuildRequires:	gtk+2-devel
BuildRequires:	krb5-devel
BuildRequires:	libcap-devel
BuildRequires:	libelf-devel
BuildRequires:	libpcap-devel >= 0.7.2
BuildRequires:	libsmi-devel
BuildRequires:	libtool
BuildRequires:	openssl-devel
BuildRequires:	pcre-devel
%if %mdkversion >= 200810
BuildRequires:	lua-devel
BuildRequires:	portaudio-devel
BuildRequires:	libgcrypt-devel >= 1.1.92
BuildRequires:	libgnutls-devel >= 1.2.0
%endif
BuildRequires:	zlib-devel
BuildRequires:	bison
BuildRequires:	flex
Provides:	ethereal = %{version}
Obsoletes:	ethereal
#Conflicts:	ethereal
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Wireshark is a network traffic analyzer for Unix-ish operating systems. It is
based on GTK+, a graphical user interface library, and libpcap, a packet
capture and filtering library.

%{blurb}

%package -n	%{libname}
Summary:	Network traffic and protocol analyzer libraries
Group:		System/Libraries
Conflicts:	ethereal <= 0.10.5
Provides:	%{mklibname ethereal 0} = %{version}
Obsoletes:	%{mklibname ethereal 0}
#Conflicts:	%{mklibname ethereal 0}

%description -n	%{libname}
Wireshark is a network traffic analyzer for Unix-ish operating systems. It is
based on GTK+, a graphical user interface library, and libpcap, a packet
capture and filtering library.

%{blurb}

%package -n	%{libname_devel}
Summary:	Development files for %{name}
Group:		Development/Other
Provides:	libwireshark-devel = %{version}
Provides:	wireshark-devel = %{version}
Requires:	%{libname} = %{version}

%description -n	%{libname_devel}
This package contains files used for development with %{name}.

%package	tools
Summary:	Tools for manipulating capture files
Group:		Monitoring
Provides:	ethereal-tools = %{version}
Obsoletes:	ethereal-tools
#Conflicts:	ethereal-tools

%description	tools
Set of tools for manipulating capture files. Contains:

- editcap - Edit and/or translate the format of capture files
- mergecap - Merges two capture files into one
- text2cap - Generate a capture file from an ASCII hexdump of packets

%{blurb}

%package -n	tshark
Summary:	Text-mode network traffic and protocol analyzer
Group:		Monitoring
Provides:	tethereal = %{version}
Obsoletes:	tethereal
Requires:	dumpcap
#Conflicts:	tethereal

%description -n	tshark
Tshark is a network protocol analyzer. It lets you capture packet data from a
live network, or read packets from a previously saved capture file, either
printing a decoded form of those packets to the standard output or writing the
packets to a file. Twireshark's native capture file format is libpcap format,
which is also the format used by tcpdump and various other tools.

%{blurb}

%package -n	rawshark
Summary:	Dump and analyze raw libpcap data
Group:		Monitoring
Conflicts:	wireshark-tools <= 0.99.8-1mdv2008.1

%description -n rawshark
Rawshark reads a stream of packets from a file or pipe, and prints a line
describing its output, followed by a set of matching fields for each packet on
stdout.

%{blurb}

%package -n	dumpcap
Summary:	Network traffic dump tool
Group:		Monitoring
# earlier dumpcap was part of the wireshark package
Conflicts:	wireshark <= 0.99.8-2mdv2008.1

%description -n dumpcap
Dumpcap is a network traffic dump tool. It lets you capture packet data from a
live network and write the packets to a file. Many wireshark utilities require it.

%{blurb}

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p0 -b .CVE-2011-0713

%if %mdkversion == 200600
# bork
perl -pi -e "s|2\.60|2\.59|g" configure.*
perl -pi -e "s|^sinclude|#####################|g" configure.*
%endif

%build
%serverbuild

export WANT_AUTOCONF_2_5=1
rm -f configure
libtoolize --copy --force; aclocal-1.9 -I aclocal-fallback; autoconf; automake-1.9 --add-missing --copy

export LIBS="-L%{_libdir}"
export LDFLAGS="%{ldflags} -L%{_libdir}"

%configure2_5x \
    --disable-static \
    --disable-warnings-as-errors --enable-warnings-as-errors=no \
    --disable-usr-local \
    --enable-gtk2 \
    --enable-threads \
    --enable-tshark \
    --enable-editcap \
    --enable-capinfos \
    --enable-mergecap \
    --enable-text2pcap \
    --enable-idl2wrs \
    --enable-dftest \
    --enable-randpkt \
    --enable-dumpcap \
    --enable-ipv6 \
    --with-libsmi=%{_prefix} \
    --with-pcap=%{_prefix} \
    --with-zlib=%{_prefix} \
    --with-pcre=%{_prefix} \
%if %mdkversion >= 200810
    --with-lua=%{_prefix} \
    --with-portaudio=%{_prefix} \
    --with-gnutls=yes \
    --with-gcrypt=yes \
%endif
    --with-libcap=%{_prefix} \
    --with-ssl=%{_prefix} \
    --with-krb5 \
    --with-adns=%{_prefix} \
    --with-plugins=%{_libdir}/%{name}

%make

# duh?
make %{name}.1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std transform=""

# duh?
install -m0644 %{name}.1 %{buildroot}%{_mandir}/man1/

# menu
%if %mdkversion <= 200700
install -d %{buildroot}%{_menudir} 	 
cat > %{buildroot}%{_menudir}/%{name} <<EOF 	 
?package(%{name}): \ 	 
command="%{name}" \ 	 
title="Wireshark" \ 	 
longtitle="Network traffic analyzer" \ 	 
needs="x11" \ 	 
icon="%{name}.png" \ 	 
section="System/Monitoring" \ 	 
xdg=true \

?package(%{name}): \ 	 
command="%{name}-root" \ 	 
title="Wireshark (root user)" \ 	 
longtitle="Network traffic analyzer (root user)" \ 	 
needs="x11" \ 	 
icon="%{name}.png" \ 	 
section="System/Monitoring" \ 	 
xdg=true
EOF
%endif

# setup links for consolehelpper support to allow root access
install -d %{buildroot}%{_sbindir}
pushd %{buildroot}%{_bindir}
ln -sf consolehelper %{name}-root
cd %{buildroot}%{_sbindir}
ln -s ../bin/%{name} %{name}-root
popd

# icon
install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_liconsdir}

install -m0644 image/wsicon16.png %{buildroot}%{_miconsdir}/%{name}.png
install -m0644 image/wsicon32.png %{buildroot}%{_iconsdir}/%{name}.png
install -m0644 image/wsicon48.png %{buildroot}%{_liconsdir}/%{name}.png

# XDG menu
install -d %{buildroot}%{_datadir}/applications
install -m0644 wireshark.desktop %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop

cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Wireshark
Comment=Network traffic analyzer
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;X-MandrivaLinux-System-Monitoring;System;Monitor;
EOF

cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}-root.desktop << EOF
[Desktop Entry]
Name=Wireshark (root user)
Comment=Network traffic analyzer (root user)
Exec=%{name}-root
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;X-MandrivaLinux-System-Monitoring;System;Monitor;
EOF

# move this one to /usr/sbin
mv %{buildroot}%{_bindir}/dumpcap %{buildroot}%{_sbindir}/dumpcap

# fix one odd bug...
pushd %{buildroot}%{_bindir}
    ln -s ../sbin/dumpcap dumpcap
popd

# remove uneeded files
rm -f %{buildroot}%{_libdir}/wireshark/*.la

# install includes
mkdir -p %{buildroot}%{_includedir}/wireshark
for include in `find epan -type f -name '*.h'`; do
        mkdir -p %{buildroot}%{_includedir}/wireshark/`dirname $include`
        install -m 0644 $include %{buildroot}%{_includedir}/wireshark/`dirname $include`
done
# remaining include files
install -m 0644 *.h %{buildroot}%{_includedir}/wireshark
mkdir -p %{buildroot}%{_includedir}/wireshark/wiretap
install -m 0644 wiretap/*.h %{buildroot}%{_includedir}/wireshark/wiretap

# fix @SHELL@
perl -pi -e "s|\@SHELL\@|/bin/sh|g" %{buildroot}%{_bindir}/idl2wrs

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n dumpcap
%defattr(-,root,root)
%attr(755,root,root) %{_bindir}/dumpcap
%attr(755,root,root) %{_sbindir}/dumpcap
%{_mandir}/man1/dumpcap.1*

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/%{name}-root
%attr(755,root,root) %{_sbindir}/%{name}-root
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*.so
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/diameter
%dir %{_datadir}/%{name}/help
%dir %{_datadir}/%{name}/radius
%dir %{_datadir}/%{name}/tpncp
%dir %{_datadir}/%{name}/wimaxasncp
%if %mdkversion <= 200700
%{_menudir}/%{name}
%endif
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/cfilters
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/colorfilters
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/dfilters
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/diameter/*
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/manuf
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/radius/dictionary*
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/services
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/smi_modules
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/tpncp/*
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/wimaxasncp/dictionary.*
%if %mdkversion >= 200810
%attr(644,root,root) %{_datadir}/%{name}/console.lua
%attr(644,root,root) %{_datadir}/%{name}/dtd_gen.lua
%attr(644,root,root) %{_datadir}/%{name}/init.lua
%endif
%attr(644,root,root) %{_datadir}/%{name}/help/*
%attr(644,root,root) %{_datadir}/%{name}/ws.css
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_mandir}/man1/%{name}.1*
%{_mandir}/man4/%{name}-filter.4*
%{_datadir}/%{name}/*.html
%{_datadir}/%{name}/AUTHORS-SHORT
%{_datadir}/%{name}/COPYING
%dir %{_datadir}/%{name}/dtds
%{_datadir}/%{name}/dtds/*
%{_datadir}/applications/*.desktop

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/capinfos
%attr(755,root,root) %{_bindir}/dftest
%attr(755,root,root) %{_bindir}/editcap
%attr(755,root,root) %{_bindir}/idl2wrs
%attr(755,root,root) %{_bindir}/mergecap
%attr(755,root,root) %{_bindir}/randpkt
%attr(755,root,root) %{_bindir}/text2pcap
%{_mandir}/man1/capinfo*
%{_mandir}/man1/editcap*
%{_mandir}/man1/idl2wrs*
%{_mandir}/man1/mergecap*
%{_mandir}/man1/text2pcap*

%files -n tshark
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/tshark
%{_mandir}/man1/tshark*

%files -n rawshark
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rawshark
%{_mandir}/man1/rawshark.1*

%files -n %{libname}
%defattr(644,root,root,755)
%doc AUTHORS NEWS README{,.[lv]*} doc/{randpkt.txt,README.*}
%attr(755,root,root) %{_libdir}/lib*.so.*

%files -n %{libname_devel}
%defattr(-,root,root)
%doc ChangeLog
%{_includedir}/wireshark
%{_libdir}/libwireshark.la
%{_libdir}/libwireshark.so
%{_libdir}/libwiretap.la
%{_libdir}/libwiretap.so
%{_libdir}/libwsutil.la
%{_libdir}/libwsutil.so


%changelog
* Thu May 12 2011 Oden Eriksson <oeriksson@mandriva.com> 1.2.16-0.1mdv2010.2
- 1.2.16 (CVE-2011-1590, CVE-2011-1591, CVE-2011-1592)

* Tue Mar 08 2011 Oden Eriksson <oeriksson@mandriva.com> 1.2.15-0.1mdv2010.2
- 1.2.15 (fixes CVE-2011-0538, CVE-2011-0713)
- P2: security fix for CVE-2011-0713 (upstream)
- make it work on cs4 too

* Wed Jan 12 2011 Oden Eriksson <oeriksson@mandriva.com> 1.2.14-0.1mdv2010.2
- 1.2.14 (more security fixes)
- drop the CVE-2010-4538 fix as it's fixed in 1.2.14

* Sat Jan 08 2011 Oden Eriksson <oeriksson@mandriva.com> 1.2.13-0.2mdv2010.2
- P2: security fix for CVE-2010-4538

* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.13-0.1mdv2010.1
- 1.2.13 (fixes CVE-2010-4300)

* Tue Oct 12 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.12-0.1mdv2010.1
- 1.2.12 (fixes CVE-2010-3445)

* Tue Aug 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.10-0.1mdv2010.1
- 1.2.10

* Thu Jun 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.9-1mdv2010.1
+ Revision: 547827
- 1.2.9 (security release as of: http://www.wireshark.org/security/wnpa-sec-2010-06.html)

* Thu May 06 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.8-1mdv2010.1
+ Revision: 542809
- 1.2.8
- added better backporting magic for updates

  + Luis Daniel Lucio Quiroz <dlucio@mandriva.org>
    - Rebuild for new OpenSSL

* Mon Apr 05 2010 Eugeni Dodonov <eugeni@mandriva.com> 1.2.6-4mdv2010.1
+ Revision: 531718
- Rebuild for new openssl

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.6-3mdv2010.1
+ Revision: 511659
- rebuilt against openssl-0.9.8m

* Thu Jan 28 2010 Funda Wang <fwang@mandriva.org> 1.2.6-2mdv2010.1
+ Revision: 497499
- add signatures
- new version 1.2.6

* Wed Jan 27 2010 Götz Waschk <waschk@mandriva.org> 1.2.5-2mdv2010.1
+ Revision: 497108
- update license

* Sun Dec 20 2009 Funda Wang <fwang@mandriva.org> 1.2.5-1mdv2010.1
+ Revision: 480364
- new version 1.2.5

* Tue Nov 17 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-1mdv2010.1
+ Revision: 466895
- 1.2.4

* Wed Oct 28 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2.3-1mdv2010.0
+ Revision: 459681
- 1.2.3

* Wed Sep 16 2009 Zombie Ryushu <ryushu@mandriva.org> 1.2.2-1mdv2010.0
+ Revision: 443586
- Update to 1.2.2
- Update to 1.2.2

* Mon Jul 20 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-1mdv2010.0
+ Revision: 398233
- 1.2.1

* Wed Jun 17 2009 Eugeni Dodonov <eugeni@mandriva.com> 1.2.0-1mdv2010.0
+ Revision: 386515
- Updated to 1.2.0.
  Updated required automake version.

* Sun May 31 2009 Funda Wang <fwang@mandriva.org> 1.0.8-3mdv2010.0
+ Revision: 381576
- build with latest gnutls 2.8

* Fri May 22 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-2mdv2010.0
+ Revision: 378819
- really add the latest SIGNATURES-1.0.8.txt file
- 1.0.8

* Thu May 21 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.8-1mdv2010.0
+ Revision: 378555
- update to new version 1.0.8

* Sat Apr 18 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-2mdv2009.1
+ Revision: 367984
- enable gnutls gcrypt support for 2008.1 to cooker

* Thu Apr 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-1mdv2009.1
+ Revision: 365349
- add the SIGNATURES-1.0.7.txt file
- 1.0.7 (fixes CVE-2009-1210, CVE-2009-1267, CVE-2009-1268, CVE-2009-1269)

* Mon Feb 09 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.6-1mdv2009.1
+ Revision: 338992
- Update to new version 1.0.6

* Tue Dec 30 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.5-3mdv2009.1
+ Revision: 321340
- use parts from %%ldflags
- fix backporting
- bump the correct release :-)
- merge with 2009.0 update specs

* Thu Dec 11 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.5-1mdv2009.1
+ Revision: 312869
- 1.0.5

* Tue Dec 02 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-4mdv2009.1
+ Revision: 309256
- fix #44407 (wireshark freezes at interface selection)

* Thu Oct 30 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.0.4-3mdv2009.1
+ Revision: 298811
- made package directly usable for official security updates

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-2mdv2009.1
+ Revision: 298447
- rebuilt against libpcap-1.0.0

* Tue Oct 21 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-1mdv2009.1
+ Revision: 295910
- 1.0.4

* Thu Sep 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-1mdv2009.0
+ Revision: 280733
- 1.0.3

* Fri Jul 11 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-1mdv2009.0
+ Revision: 233650
- 1.0.2

* Wed Jul 02 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1mdv2009.0
+ Revision: 230632
- turn off -Wl,--as-needed -Wl,--no-undefined because this is a can of worms.
  anyone with a lot of time, patience and a really fast machine can fix this
  if they want.
- use _disable_ld_no_undefined due to problems all over the code
- 1.0.1 (Minor security fixes)
- fix deps

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat May 03 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-2mdv2009.0
+ Revision: 200718
- rebuild

* Tue Apr 08 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.0.0-1mdv2009.0
+ Revision: 192340
- new version 1.0.0

* Tue Mar 04 2008 Andreas Hasenack <andreas@mandriva.com> 0.99.8-3mdv2008.1
+ Revision: 178448
- fixed #36484 (tshark needs dumpcap which is in wireshark package)

* Thu Feb 28 2008 Oden Eriksson <oeriksson@mandriva.com> 0.99.8-2mdv2008.1
+ Revision: 176244
- fix the conditional old menu stuff

* Thu Feb 28 2008 Oden Eriksson <oeriksson@mandriva.com> 0.99.8-1mdv2008.1
+ Revision: 175981
- added the rawshark sub package
- make it backportable (old menu stuff)
- fix build deps (flex)
- fix build deps (bison)
- added the SIGNATURES-0.99.8.txt file
- 0.99.8 (Minor security fixes)

* Wed Jan 23 2008 Thierry Vignaud <tv@mandriva.org> 0.99.7-3mdv2008.1
+ Revision: 157276
- rebuild with fixed %%serverbuild macro

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 0.99.7-2mdv2008.1
+ Revision: 149178
- do not package big ChangeLog
- drop old menu

* Wed Dec 19 2007 Oden Eriksson <oeriksson@mandriva.com> 0.99.7-1mdv2008.1
+ Revision: 133907
- fix deps

* Wed Dec 19 2007 Oden Eriksson <oeriksson@mandriva.com> 0.99.7-0mdv2008.1
+ Revision: 133376
- 0.99.7 (Major security fixes)
- rediffed P0
- added P1 to set plugindir

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 08 2007 Oden Eriksson <oeriksson@mandriva.com> 0.99.6-5mdv2008.0
+ Revision: 60228
- rebuilt against new net-snmp libs

* Mon Aug 06 2007 Andreas Hasenack <andreas@mandriva.com> 0.99.6-3mdv2008.0
+ Revision: 59412
- include more .h files in the devel package

* Mon Aug 06 2007 Andreas Hasenack <andreas@mandriva.com> 0.99.6-2mdv2008.0
+ Revision: 59384
- created devel package

* Sat Jul 07 2007 Oden Eriksson <oeriksson@mandriva.com> 0.99.6-1mdv2008.0
+ Revision: 49447
- make it build
- 0.99.6

* Wed Jun 27 2007 Andreas Hasenack <andreas@mandriva.com> 0.99.5-4mdv2008.0
+ Revision: 45072
- using new serverbuild macro (-fstack-protector-full)

* Fri May 11 2007 Lenny Cartier <lenny@mandriva.org> 0.99.5-3mdv2008.0
+ Revision: 26410
- Use www-browser rather than mozill


* Sat Feb 03 2007 Oden Eriksson <oeriksson@mandriva.com> 0.99.5-1mdv2007.0
+ Revision: 116080
- 0.9.5 (fixes CVE-2007-0459, CVE-2007-0458, CVE-2007-0457 and CVE-2007-0456)

* Fri Nov 03 2006 Andreas Hasenack <andreas@mandriva.com> 0.99.4-1mdv2007.1
+ Revision: 76311
- updated to version 0.99.4, fixing security vulnerabilities
  (#26943)
- fixed comment field in desktop file (#26924)

* Sat Aug 26 2006 Andreas Hasenack <andreas@mandriva.com> 0.99.3a-1mdv2007.0
+ Revision: 58147
- updated to version 0.99.3a, fixing CVE-2006-43[30-33]
- added signed SIGNATURES file
- Import wireshark

* Tue Aug 01 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.2-3mdv2007.0
- fix xdg menu stuff

* Thu Jul 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.2-2mdv2007.0
- fix deps

* Wed Jul 19 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.2-1mdv2007.0
- 0.99.2 (Major security fixes)
- fix xdg menu

* Wed Jun 14 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.1-0.pre1.3mdv2007.0
- fix deps
- added a blurb

* Mon Jun 12 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.1-0.pre1.2mdv2007.0
- added some lib64 fixes
- fix deps

* Mon Jun 12 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.1-0.pre1.1mdv2007.0
- 0.99.1pre1
- new name

* Fri Jun 02 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.0-5mdv2007.0
- rebuild

* Thu Jun 01 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.0-4mdv2007.0
- dumpcap belongs in /usr/sbin/ and /usr/bin/, fix that with a symlink (#22849)

* Wed May 24 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.0-3mdk
- dumpcap belongs in /usr/sbin/ for convenience (#22517)

* Thu Apr 27 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.0-2mdk
- dumpcap belongs to the main package (vdanen)

* Wed Apr 26 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.0-1mdk
- 0.99.0 (Major security fixes)

* Wed Sep 07 2005 Oden Eriksson <oeriksson@mandriva.com> 0.10.14-1mdk
- 0.10.14; fixes CVE-2005-3651
- dropped P1 and P2, fixed upstream

* Wed Sep 07 2005 Oden Eriksson <oeriksson@mandriva.com> 0.10.12-1mdk
- 0.10.12; multiple security fixes
- fix #17045
- fix deps

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.10.11-4mdk
- rebuilt against new libpcap-0.9.1 (aka. a "play safe" rebuild)

* Sat Jun 11 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.10.11-3mdk
- Rebuild for libkrb53-devel 1.4.1

* Fri Jun 10 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.10.11-2mdk
- Rebuild for libkrb53-devel 1.4.1

* Fri May 06 2005 Oden Eriksson <oeriksson@mandriva.com> 0.10.11-1mdk
- 0.10.11 (Major security fixes)

* Wed Mar 23 2005 Olivier Blin <oblin@mandrakesoft.com> 0.10.10-1mdk
- 0.10.10 (security fixes, #14660)

* Fri Jan 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.10.9-1mdk
- 0.10.9

* Thu Dec 16 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.10.8-1mdk
- 0.10.8

* Fri Nov 19 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.10.7-1mdk
- 0.10.7
- regenerate P1
- cosmetics

* Tue Oct 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.6-3mdk
- Fix conflicts when upgrading from 10.0 + security update

* Tue Aug 24 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.6-2mdk
- Patch1: use correct alias for monospaced font

* Wed Aug 18 2004 Pascal Terjan <pterjan@mandrake.org> 0.10.6-1mdk
- 0.10.6
- updated patch 0

* Fri Jul 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.10.5-1mdk
- new release
- rediff patch 0

* Wed Jun 09 2004 Michael Scherer <misc@mandrake.org> 0.10.4-3mdk 
- fix upgrade with Conflicts

* Tue Jun 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.10.4-2mdk
- fix deps
- use some more libtool stuff

* Sun Jun 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.10.4-1mdk
- 0.10.4
- use the %%configure2_5x macro
- huge spec file fixes (used ideas from debian and PLD)

* Thu Apr 15 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.10.3-4mdk
- fix filelist
- some 64-bit fixes

* Sun Apr 11 2004 Michael Scherer <misc@mandrake.org> 0.10.3-3mdk 
- [DIRM]
- add complete url to source

* Sat Mar 27 2004 Michael Scherer <misc@mandrake.org> 0.10.3-2mdk
- remove devel requires
- clean hardcoded requires

* Fri Mar 26 2004 Michael Scherer <misc@mandrake.org> 0.10.3-1mdk
- 0.10.3
- more macro
- remove patch #1, integrated upstream
- use Bundled library for snmp

* Sun Feb 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.10.0a-3mdk
- patch1: ethereal-tethereal-with-X.patch (Bug #7091)
- in spec menu
- clean spec

